@import url('https://fonts.googleapis.com/css2?family=Nunito+Sans:ital,opsz,wdth,wght@0,6..12,95,200..1000;1,6..12,95,200..1000&family=Source+Code+Pro:ital,wght@0,200..900;1,200..900&display=swap');

body {
  font-family: "Source Code Pro", monospace;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: normal;
}

h1 {
    font-weight: 500;
    display: flex;
    justify-content: center;
    margin: auto;
    margin-top: 20px;
}

button {
    border-radius: 0.75em;
    background: linear-gradient(25deg, #a6e3a1, #94e2d5);
    border: none;
    color: #313244;
    height: 50px;
    width: 200px;
    font: inherit;
    font-size: 150%;
    transition: transform 0.3s ease;
    cursor: pointer;
    display: block;
    margin: auto;
    margin-top: 20px;
}

button:hover {
    transform: scale(1.1); /* Vergrößert den Button um 10% */
}

button:active {
    transform: scale(0.95); /* Effekt beim Draufklicken: Button wird kurz kleiner */
}

textarea {
    border-radius: 0.75em;
    display: flex;
    min-width: 300px;
    min-height: 200px;
    width: 30vw;
    height: 30vh;
    border-color: rgb(19, 160, 255);
    outline: none;
    box-shadow: 0px 0px 5px rgb(19, 160, 255);
    justify-content: center;
    font-size: 150%;
    margin: auto;
    margin-top: 20px;
    font: inherit;
    padding: 20px;
}

input[type="file"]::file-selector-button {
  border-radius: 0.75em;
    background: linear-gradient(25deg, #a6e3a1, #94e2d5);
    border: none;
    color: #313244;
    height: 50px;
    width: 200px;
    font: inherit;
    font-size: 150%;
    transition: transform 0.3s ease;
    cursor: pointer;
}

input[type="file"]::file-selector-button:hover {
  transform: scale(1.1); /* Vergrößert den Button um 10% */
}

#start {
    background: linear-gradient(25deg, #74c7ec, #89b4fa);
}

#uploadbtn {
    background: linear-gradient(25deg, #6c7086, #a6adc8);
    height: 30vh;
}